@import 'utils/fonts.scss';
@import 'utils/colours.scss';

.configs-form .table {
  display: table;
  width: 100%;
}

.configs-form .row {
  display: table-row;
}

.configs-form .label {
  display: table-cell;
  width: 65%;
  font-size: 16px;
  color: $ghost;

  &-disabled {
    @extend .label;
    color: $nevada;
  };
}

.configs-form .input {
  display: table-cell;
  width: 100%;
  font-size: 16px;
  text-align: center;
  color: $ghost;
  background-color: $darkGunmetal;

  &-disabled {
    @extend .input;
    color: $nevada;
  };
}

#content-colour {
  color: $pastelGreen;
}

#style-colour {
  color: $regentBlue;
}

.configs-form .custom-label {
  margin: 0;
  padding: 0;
  font-size: 14px;
  font-family: $appFont;

  &-content {
    @extend .custom-label;
    color: $pastelGreen;
  };
  &-style {
    @extend .custom-label;
    color: $regentBlue;
  };
}

.configs-form .tags-sublabel {
  color: $coldPurple;
  font-weight: bolder;
}

.configs-form .tags-input {
  display: table-cell;
  width: 100%;
  font-size: 16px;
  text-align: center;
  color: $coldPurple;
  background-color: $darkGunmetal;
}

.configs-form .dropdown {
  padding: 0;
}

.configs-form .dropdown-toggle {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: $variantSecondary;
  width: 100%;
}

.configs-form .dropdown-menu {
  background-color: $variantSecondary;
}

.configs-form .single-toggle {
  display: flex;
  justify-content: center;
  align-items: center;
}

.configs-form .react-toggle {
  margin: 0;
  padding: 0;
}

.configs-form .buttons {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.configs-form .buttons .button-block {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50%;
  margin-left: 2%;
  margin-right: 2%;
}

.configs-form .buttons .button-block .button {
  font-size: 16px;
  width: 100%;
}